Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.common
Class ExtBasicCheckBoxMenuItemUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.ButtonUI
              javax.swing.plaf.MenuItemUI
                  javax.swing.plaf.basic.BasicMenuItemUI
                      com.jgoodies.looks.common.ExtBasicMenuItemUI
                          com.jgoodies.looks.common.ExtBasicRadioButtonMenuItemUI
                              com.jgoodies.looks.common.ExtBasicCheckBoxMenuItemUI

    public final class ExtBasicCheckBoxMenuItemUI

extends ExtBasicRadioButtonMenuItemUI

Renders aligned JCheckBoxMenuItems.

Version:
  $Revision: 1.2 $
Author:
  Karsten Lentzsch

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicMenuItemUI
`BasicMenuItemUI.MouseInputHandler`

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicMenuItemUI
`acceleratorFont, acceleratorForeground, acceleratorSelectionForeground, arrowIcon, checkIcon, defaultTextIconGap, disabledForeground, menuDragMouseListener, menuItem, menuKeyListener, mouseInputListener, oldBorderPainted, selectionBackground, selectionForeground`

Constructor Summary
`ExtBasicCheckBoxMenuItemUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent b)`
`protected String` | `getPropertyPrefix()`

Methods inherited from class com.jgoodies.looks.common.ExtBasicRadioButtonMenuItemUI
`iconBorderEnabled, processMouseEvent`

Methods inherited from class com.jgoodies.looks.common.ExtBasicMenuItemUI
`createRenderer, getPreferredMenuItemSize, installDefaults, paintMenuItem, uninstallDefaults`

Methods inherited from class javax.swing.plaf.basic.BasicMenuItemUI
`createMenuDragMouseListener, createMenuKeyListener, createMouseInputListener, doClick, getMaximumSize, getMinimumSize, getPath, getPreferredSize, installComponents, installKeyboardActions, installListeners, installUI, paint, paintBackground, paintText, uninstallComponents, uninstallKeyboardActions, uninstallListeners, uninstallUI, update`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtBasicCheckBoxMenuItemUI

    public ExtBasicCheckBoxMenuItemUI()

Method Detail

### getPropertyPrefix

    protected String getPropertyPrefix()

  Overrides:
    `getPropertyPrefix` in class `ExtBasicRadioButtonMenuItemUI`

### createUI

    public static ComponentUI createUI(JComponent b)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 JGoodies Karsten Lentzsch. All Rights Reserved.